Skip to main content

Get all service requests

GEThttps://api.propexo.com/v1/service-requests/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external ID from the integration vendor

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

unit_id string

The Propexo unique identifier for the unit

employee_id string

The Propexo unique identifier for the employee

vendor_id string

The Propexo unique identifier for the vendor

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

unit_number string

The unit number of the service request. When using this, the Propexo property_id filter must be added as well.

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the service request

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_property_idstringrequired

    The external ID of the property from the integration vendor

    x_location_idstring | nullnullablerequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    x_sub_task_idstring | nullnullablerequired

    The external ID of the sub task from the integration vendor

    access_is_authorizedboolean | nullnullablerequired

    Whether or not the tenant has granted permission to enter the unit associated with the service request

    access_notesstring | nullnullablerequired

    Notes regarding access to the unit associated with the service request

    buildingstring | nullnullablerequired

    The building name associated with the service request

    completion_notesstring | nullnullablerequired

    Closing notes associated with the service request

    date_completedstring | nullnullablerequired

    The date the service request was completed

    date_createdstring | nullnullablerequired

    The date the service request was created

    date_duestring | nullnullablerequired

    The due date associated with the service request

    date_scheduledstring | nullnullablerequired

    The date the service request is scheduled

    notesstring | nullnullablerequireddeprecated

    DEPRECATED: Please use 'history' for reading notes regarding the service request

    service_categorystring | nullnullablerequired

    The category of service request

    service_descriptionstring | nullnullablerequired

    A description of the service request

    service_detailsstring | nullnullablerequired

    Details about the service request

    service_prioritystring | nullnullablerequired

    The priority level associated with the service request

    status_rawstring | nullnullablerequired

    The raw status associated with the service request

    vendor_notesstring | nullnullablerequired

    Vendor/technician notes associated with the service request

    unit_numberstring | nullnullablerequired

    The unit number associated with the service request. This isn't always provided by PMS vendors, but may be the only data provided to identify a unit associated with a service request in some cases.

    order_numberstring | nullnullablerequired

    The order number of the service request

    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum1required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    property_idstringrequired

    The Propexo unique identifier for the property

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    employee_idstring | nullnullablerequired

    The Propexo unique identifier for the employee

    vendors object[]required
  • Array [
  • vendor_idstringrequired
  • ]
  • history object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the service request history

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstringrequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_created_atstring | nullnullablerequired

    The date the record first entered the integration vendor

    notesstringrequired

    Notes describing the service request history

    creator_namestring | nullnullablerequired

    The name of the person or user that created the service request history

    status_rawstring | nullnullablerequired

    The raw status from the service request history

    service_request_idstringrequired

    The Propexo unique identifier for the service request

  • ]
  • employees object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the employee

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    namestring | nullnullablerequired

    The name associated with the employee

  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/service-requests/
curl https://api.propexo.com/v1/service-requests/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_unit_id": "string",
"x_sub_task_id": "string",
"access_is_authorized": true,
"access_notes": "string",
"building": "string",
"completion_notes": "string",
"date_completed": "string",
"date_created": "string",
"date_due": "string",
"date_scheduled": "string",
"service_category": "string",
"service_description": "string",
"service_details": "string",
"service_priority": "string",
"status_raw": "string",
"vendor_notes": "string",
"unit_number": "string",
"order_number": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"property_id": "string",
"unit_id": "string",
"employee_id": "string",
"vendors": [
{
"vendor_id": "string"
}
],
"history": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_created_at": "string",
"notes": "string",
"creator_name": "string",
"status_raw": "string",
"service_request_id": "string"
}
],
"employees": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"name": "string"
}
]
}
]
}